Package org.silverpeas.components.resourcesmanager.repository

## Interface ReservedResourceRepository

- All Superinterfaces:
    `org.silverpeas.core.persistence.datasource.repository.EntityRepository<ReservedResource>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<ReservedResource>`
  All Known Implementing Classes:
    `ReservedResourceJpaRepository`

      public interface ReservedResourceRepository
      extends org.silverpeas.core.persistence.datasource.repository.EntityRepository<ReservedResource>, org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<ReservedResource>

  Author:
    ehugonnet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deleteAllReservedResourcesForReservation​(Long currentReservationId)` |
    `void` | `deleteAllReservedResourcesForResource​(Long currentResourceId)` |
    `List<ReservedResource>` | `findAllReservedResourcesForReservation​(Long currentReservationId)` |
    `List<ReservedResource>` | `findAllReservedResourcesOfReservation​(Long currentReservationId)` |
    `List<ReservedResource>` | `findAllReservedResourcesWithProblem​(Long currentReservationId, List<Long> futureReservedResourceIds, String startPeriod, String endPeriod)` |

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

      `saveAndFlush`

- - ### Method Detail

    - #### findAllReservedResourcesWithProblem

          List<ReservedResource> findAllReservedResourcesWithProblem​(Long currentReservationId,
                                                                     List<Long> futureReservedResourceIds,
                                                                     String startPeriod,
                                                                     String endPeriod)

    - #### findAllReservedResourcesForReservation

          List<ReservedResource> findAllReservedResourcesForReservation​(Long currentReservationId)

    - #### deleteAllReservedResourcesForReservation

          void deleteAllReservedResourcesForReservation​(Long currentReservationId)

    - #### deleteAllReservedResourcesForResource

          void deleteAllReservedResourcesForResource​(Long currentResourceId)

    - #### findAllReservedResourcesOfReservation

          List<ReservedResource> findAllReservedResourcesOfReservation​(Long currentReservationId)